
From: Oleg Nesterov <oleg@tv-sign.ru>

I think that Stas tries to steal 1024 bytes from kernel's memory.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/i386/kernel/cpu/common.c |    1 -
 25-akpm/include/asm-i386/desc.h       |    1 -
 2 files changed, 2 deletions(-)

diff -puN arch/i386/kernel/cpu/common.c~x86-fix-esp-corruption-cpu-bug-take-2-fix arch/i386/kernel/cpu/common.c
--- 25/arch/i386/kernel/cpu/common.c~x86-fix-esp-corruption-cpu-bug-take-2-fix	2005-03-21 21:46:16.000000000 -0800
+++ 25-akpm/arch/i386/kernel/cpu/common.c	2005-03-21 21:46:16.000000000 -0800
@@ -21,7 +21,6 @@
 DEFINE_PER_CPU(struct desc_struct, cpu_gdt_table[GDT_ENTRIES]);
 EXPORT_PER_CPU_SYMBOL(cpu_gdt_table);
 
-unsigned char cpu_16bit_stack[CPU_16BIT_STACK_SIZE];
 DEFINE_PER_CPU(unsigned char, cpu_16bit_stack[CPU_16BIT_STACK_SIZE]);
 EXPORT_PER_CPU_SYMBOL(cpu_16bit_stack);
 
diff -puN include/asm-i386/desc.h~x86-fix-esp-corruption-cpu-bug-take-2-fix include/asm-i386/desc.h
--- 25/include/asm-i386/desc.h~x86-fix-esp-corruption-cpu-bug-take-2-fix	2005-03-21 21:46:16.000000000 -0800
+++ 25-akpm/include/asm-i386/desc.h	2005-03-21 21:46:16.000000000 -0800
@@ -17,7 +17,6 @@
 extern struct desc_struct cpu_gdt_table[GDT_ENTRIES];
 DECLARE_PER_CPU(struct desc_struct, cpu_gdt_table[GDT_ENTRIES]);
 
-extern unsigned char cpu_16bit_stack[CPU_16BIT_STACK_SIZE];
 DECLARE_PER_CPU(unsigned char, cpu_16bit_stack[CPU_16BIT_STACK_SIZE]);
 
 struct Xgt_desc_struct {
_
